ExcludeArch:   armv5tl
Name:           zanshin
Version:        0.4.1
Release:        %mkrel 2
Summary:        Getting Things Done application
Group:          Graphical desktop/KDE
License:        GPLv2+ and LGPLv2+
URL:            https://zanshin.kde.org
Source0:        http://files.kde.org/%{name}/%{name}-%{version}.tar.bz2
# zanshin-l10n contains a ruby script adapted from neoclust's script for digikam to fetch translation
Source1:        %{name}-l10n-%{version}.tar.xz
Patch1:         zanshin-0.3.1-add-po-in-cmakelist.patch
Recommends:     renku

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5Runner)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  gettext
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Test)

%description
A Getting Things Done application which aims at getting your mind like water.

%files
%doc AUTHORS COPYING COPYING.LIB HACKING TODO
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/%{name}-migrator
%{_qt5_plugindir}/kontact_zanshinplugin.so
%{_qt5_plugindir}/krunner_zanshin.so
%{_qt5_plugindir}/zanshin_part.so
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_services}/kontact/zanshin_plugin.desktop
%{_kf5_services}/plasma-runner-zanshin.desktop
%{_kf5_services}/zanshin_part.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*

%package -n renku
Summary:        Note taking application
Group:          Graphical desktop/KDE
Recommends:     %{name}

%description -n renku
A note taking application which aims at getting your mind like water.

%files -n renku
%{_kf5_bindir}/renku
%{_qt5_plugindir}/kontact_renkuplugin.so
%{_qt5_plugindir}/renku_part.so
%{_kf5_appdatadir}/org.kde.renku.appdata.xml
%{_kf5_applicationsdir}/org.kde.renku.desktop
%{_kf5_datadir}/kxmlgui5/renku/
%{_kf5_services}/kontact/renku_plugin.desktop
%{_kf5_services}/renku_part.desktop
%{_kf5_iconsdir}/hicolor/*/apps/renku.*

#---------------------------------------------------------------))


%prep
%setup -q -a1
%autopatch -p1
mv %{name}-l10n-%{version}/po .

%build
%cmake_kf5
%make_build

%install
%make_install -C build

# Make a copy of the icons for renku, to make them installable separately
for file in %{buildroot}%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png; do
  cp $file "$(dirname $file)/renku.png"
done
cp %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/{%{name},renku}.svgz
sed -i 's/Icon=zanshin/Icon=renku/' %{buildroot}%{_kf5_applicationsdir}/org.kde.renku.desktop


%changelog
* Wed Sep 28 2016 neoclust <neoclust> 0.4.1-2.mga6
+ Revision: 1057480
- Do not build on armv5tl

* Wed Sep 14 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 1052600
- Version 0.4.1

* Sat Apr 23 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 1005612
- Version 0.4.0

* Sun Jan 24 2016 akien <akien> 0.3.1-1.git20160123.1.mga6
+ Revision: 927014
- KF5 version based on a git snapshot (unstable)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-7.mga5
+ Revision: 744304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-6.mga5
+ Revision: 690853
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 akien <akien> 0.2.1-5.mga5
+ Revision: 602613
- Add missing Requires on kdepim4-kresources, kdepimlib4-core and akonadi-kde

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-4.mga4
+ Revision: 529649
- Mageia 4 Mass Rebuild

* Wed Apr 10 2013 barjac <barjac> 0.2.1-3.mga4
+ Revision: 409441
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 387657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 juancho <juancho> 0.2.1-1.mga2
+ Revision: 217754
- Added missing BR libboost-devel
- Updated to 0.2.1

* Thu Dec 01 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 174665
- Update tarball to 0.2.0

* Tue Oct 11 2011 mikala <mikala> 0.2-0.rc1.2.mga2
+ Revision: 153904
- Add translations (SOURCE1) using neoclust's script for digikam
- add patch1 to enable translation compilation
- don't own %%{_kde_services}/kontact/

* Tue Oct 11 2011 mikala <mikala> 0.2-0.rc1.1.mga2
+ Revision: 153764
- imported package zanshin

